QGIS Application - Bug report #16692
Pb 0 instead of NULL when creating a new SHP field
2017-06-09 11:02 AM - Etienne MORO

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.14.15 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 24591
Description

In QGIS 2.14.15, with a SHP layer, when | create a new field (type real for example), when | save the modifications, all the values of this
new field become 0.00 instead of keeping a NULL value. It's very annoying when you use this field with labeling placement, because all
the labels are drawn at 0,0 instead of keeping an automatic placement whent it's a NULL value.

This bug is not present in QGIS 2.14.14 nor in QGIS 2.18.9.

Best regards.

History

#1 - 2017-06-09 11:06 AM - Regis Haubourg
- Status changed from Open to Feedback

Hi Etienne,
shp can't handle NULL values, see: http://support.esri.com/technical-article/00000581 1

Maybe in previous version QGIS stored NULL until a real commit was made to the dbf and then it was converted back to 0. The behavior now is better,
because it is less tricky.
| you need to handle NULL, consider using GPKG, spatialite, Postgis or any younger format than the old shp (the humoristic way to advertise it is here:

https://twitter.com/shapefile :) )

#2 - 2017-06-09 11:39 AM - Etienne MORO
- Status changed from Feedback to Open

Hello Regis,

| understand your explanation, but there is the same problem with en Gpkg file. So | think this is a real bug (not only for SHP files).

#3 - 2017-06-09 05:51 PM - Jiirgen Fischer

Does this also apply to the 2.14 nightlies (qgis-ltr-dev) in OSGeo4W? Sounds like an issue related to GDAL/OGR 2.2, which should be fixed with
commit:5fdde8a5ba89e4bb4ba4e008979a6b67742dfIb0.

#4 - 2017-06-19 05:59 PM - Steve Lowman

| agree this is a real problem change, particularly for label placement in layers with many features. Suddenly we have a big problem, where there was
http://support.esri.com/technical-article/000005811
https://twitter.com/shapefiIe

never a problem before. Sorry | have nothing more constructive to contribute, just suggesting high priority is appropriate for this. Any confirmation it will be
fixed in 2.14.16?

#5 - 2017-07-04 02:39 PM - Etienne MORO
- Status changed from Open to Closed

Checked in QGis 2.14.16: no more problems. The bug seems to be corrected.

#6 - 2017-07-05 09:36 AM - Giovanni Manghi
- Resolution set to fixed/implemented
